%global barename js-beautify

Name:		nodejs-js-beautify
Version:	1.5.10
Release:	5%{?dist}
Summary:	jsbeautifier.org for node

License:	MIT
URL:		http://jsbeautifier.org
Source0:	https://github.com/beautify-web/js-beautify/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
ExclusiveArch:	%{ix86} x86_64 %{arm} noarch

BuildRequires:	nodejs-packaging

BuildRequires:	npm(config-chain)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(nopt)

Requires:	npm(config-chain)
Requires:	npm(mkdirp)
Requires:	npm(nopt)

%if 0%{?fedora}
# Unavailable deps npm(jshint) and npm(benchmark)
%bcond_with test
%endif

%if %{with test}
BuildRequires:	npm(node-static)
BuildRequires:	npm(jshint)
BuildRequires:	npm(benchmark)
BuildRequires:	npm(requirejs)
BuildRequires:	npm(mustache)
%endif


%description
This little beautifier will reformat and reindent bookmarklets, ugly
JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as
deobfuscate scripts processed by javascriptobfuscator.com.

%prep
%setup -qn js-beautify-%{version} 
rm -rf node_modules/

%nodejs_fixdep mkdirp
%nodejs_fixdep nopt

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/js-beautify
cp -pr package.json js/lib/ \
    %{buildroot}%{nodejs_sitelib}/js-beautify

chmod 0755 %{buildroot}%{nodejs_sitelib}/js-beautify/lib/cli.js
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/js-beautify/lib/cli.js \
    %{buildroot}%{_bindir}/js-beautify

%nodejs_symlink_deps


%check
%if %{with test}
%nodejs_symlink_deps --check
./js/test/shell-smoke-test.sh
%endif


%files
%license LICENSE
%doc CHANGELOG.md README.md
%{nodejs_sitelib}/js-beautify
%{_bindir}/js-beautify

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 28 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-4
- Adding fixdep for nopt

* Mon Jul 27 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-3
- Adding fixdep for mkdirp

* Sun Jul 26 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-2
- Conditioning tests due to unavailable deps

* Sat Jul 25 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-1
- Update to 1.5.10
- Including /js/lib/ directory
- Adding symlink to lib/cli.js in %%{_bindir}

* Fri Jul 24 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.9-1
- Initial packaging
